import morpion, random

# Création de l'environnement
env = morpion.Morpion()  # La classe Morpion vient du fichier morpion.py importé à la 1ere ligne

# Initialisation de l'environnement
obs = env.reset()
info = env.info()
done = False

while not done: # Boucle de jeu
    env.render()  # Affichage de la grille
    print("")

    #print(info) (utile pour débuggage)
    if env.current_player == 0:
        case = random.choice(info['legal_actions']) # Choix d'une case aléatoirement parmi les cases disponibles
    else:
        case = -1 #╦ Choix d'une case interdite
        while case .......... :
            case=int(input('Coup ? (Entre 0 et 8)'))

    obs, reward, done, info = env.step(case)  # Coup joué

env.render()

if reward[0] == 0:
    print('Partie nulle')
elif reward[0] == 1:
    print('Vous avez perdu')
else:
    print('Vous avez gagné')

