import morpion, random
import Joueur_QL as JQL
#import Joueur_DeepQL as JDQL
from tqdm import tqdm
import numpy as np

# Morpion

env = morpion.Morpion()

# Joueur Q-learning

joueur = JQL.Joueur(nb_states=3**9, nb_actions=9, file="IA_QL")

# Joueur Deep Q-learning

#joueur = JDQL.Joueur("IA_DQL_1")

obs = env.reset()
env.current_player = random.choice([0,1])
info = env.info()
done = False

while not done:

    if env.current_player == 0:
        state = joueur.obs2state(obs[0])
        case = joueur.jouer(state, info['legal_actions'])
    else:
        case = -1
        while case not in info['legal_actions']:
            case=int(input('Coup ? (Entre 0 et 8)'))



    obs, reward, done, info = env.step(case)
    env.render()
    print("")

if reward[0] > 0:
    print("Victoire de l'IA !")
elif reward[0] < 0:
    print("Défaite de l'IA !")
else:
    print("Match nul...")