import morpion, random

# Création de l'environnement
env = morpion.Morpion() # La classe Morpion vient du fichier morpion.py importé à la 1ere ligne


# Initialisation de l'environnement
obs = env.reset()
info = env.info()
done = False # La partie n'est pas terminée !

while not done: # Boucle de jeu
    env.render()  # Affichage de la grille
    print("")

    #print(info) (utile pour débuggage)

    case = random.choice(info['legal_actions']) # Choix d'une case aléatoirement parmi les cases disponibles
    obs, reward, done, info = env.step(case)  # Coup joué

env.render()